
local addon  = KiwiPlates
local widget = addon:newWidget( 'GlowBorder' )

local CreatePlateBorderTexture = addon.CreatePlateBorderTexture

local function Create(kPlate)
	local db = kPlate.db.GlowBorder
	if db then
		CreatePlateBorderTexture(kPlate, kPlate, 'GlowBorder', db)
	end	
end

function widget:OnEnable(addon, db)
	addon.RegisterNotify( 'PlateCreate', Create )
end

function widget:OnDisable(addon)
	addon.UnregisterNotify( 'PlateCreate', Create )
end
