local addon   = KiwiPlates
local Options = KiwiPlatesOptions

Options:RegisterCategoryOptions( 'Misc', {

	minimapIcon = {
		type = 'toggle',
		order = 1,
		name = 'Show Minimap Icon',
		get  = function() 
			return not addon.db.minimapIcon.hide
		end,
		set = function(info, value) 
			addon.db.minimapIcon.hide = not value
			if value then
				addon.minimapIcon:Show("KiwiPlates")
			else
				addon.minimapIcon:Hide("KiwiPlates")
			end		
		end
	},


}, { order = 50 } )
