local Options = KiwiPlatesOptions

local options = {}

options.header1 = { type = 'header', name = 'Reaction', order= 0 }

options.npcColorize = {
	type = "select",
	order = 10,
	name = "NPCs",
	values = {
		reaction = 'Reaction Colors',
		blizzard = 'Blizzard Colors',
	}
}

options.playerColorize = {
	type = "select",
	order = 30,
	name = "Friendly Players",
	values = {
		blizzard = 'Blizzard Color',
		reaction = 'Reaction Color',
		class    = 'Class Colors',
	}
}

Options:MakeColorsGroupOptions(50, 'Reaction Colors', { 'friendly', 'hostile', 'neutral', 'tapped', 'playerfriendly' }, options)

Options:MakeColorReceiversOptions(options)

Options:RegisterModuleOptions( 'Reaction', options, { order = 20 } )

Options:RegisterModuleDefaults( 'Reaction', {
	npcColorize    = "reaction",
	playerColorize = "reaction",
	colors = KiwiPlates.defaults.colors.Reaction,
	colorReceivers = {},
	colorPriority = 1,	
})
